<app-toast [message]="toast.message"></app-toast>

<div class="card">
  <h4 class="card-header">เพิ่มข้อมูลรายช่ือผู้สัมผัสใกล้ชิดในระยะป่วยระบุลักษณะการสัมผัส (ถ้ามีอาการป่วยกรุณาระบุอาการด้วย)</h4>
  <div class="card-body">
    <form class="form-inline" [formGroup]="addTableForm" (ngSubmit)="addDataTable()">
      <input class="form-control col-lg-4  mr-2" type="text" name="fullname"
             formControlName="fullname" placeholder="ชื่อ-สกุล">

      <input class="form-control col-lg-2   mr-2" type="text" name="gender"
             formControlName="gender" placeholder="เพศ" >

      <input class="form-control col-lg-2  mr-2" type="number" name="age"
             formControlName="age" placeholder="อายุ" step="any" min="0">

      <textarea rows="4" class="form-control col-lg-12  mt-3 mr-2" type="text" name="contact"
             formControlName="contact" placeholder="ที่อยู่/เบอร์โทรศัพท์" step="any"></textarea>

      <input class="form-control col-lg-4  mt-3 mr-2" type="date" name="date_touch"
             formControlName="date_touch" placeholder="วันที่สัมผัส(ระบุเป็นช่วงวันที่)" step="any">

      <input class="form-control col-lg-4  mt-3 mr-2" type="date" name="date_vaccine"
             formControlName="date_vaccine" placeholder="วันที่ได้รับวัคซีนครบถ้วน" step="any">

      <textarea rows="4" class="form-control col-lg-4  mt-3 mr-2" type="text" name="type_touch"
             formControlName="type_touch" placeholder="ลักษณะการสัมผัส" step="any" ></textarea>


     <textarea rows="4" class="form-control col-lg-4  mt-3 mr-2" type="text" name="sick"
             formControlName="sick" placeholder="ป่วย/ไม่ป่วย(กรณีป่วยระบุวันเริ่มป่วย และอาการ)" step="any"></textarea>


      <input class="form-control col-lg-4  mt-3 mr-2" type="text" name="protection"
             formControlName="protection" placeholder="การใส่อุปกรณ์ป้องกัน" step="any">

      <button class="btn btn-primary mt-3" type="submit" [disabled]="!addTableForm.valid">
        <i class="fa fa-plus"></i> เพิ่มข้อมูล
      </button>
    </form>
  </div>
</div>

<div class="card mt-3" *ngIf="!isLoading">
  <h4 class="card-header">รายช่ือผู้สัมผัสใกล้ชิดในระยะป่วย </h4>
  <div class="card-body">
    <table class="table table-bordered  table-responsive">
      <thead class="thead-light">
        <tr>
          <th width="2%" >ที่</th>
          <th width="10%" >ชื่อ-สกุล</th>
          <th width="5%">เพศ</th>
          <th width="5%">อายุ</th>
          <th width="10%">ที่อยู่/เบอร์โทรศัพท์</th>
          <th width="10%">วันที่สัมผัส</th>
          <th width="10%">วันที่ได้รับวัคซีนครบถ้วน</th>
          <th width="10%">ลักษณะการสัมผัส</th>
          <th width="10%">ป่วย/ไม่ป่วย</th>
          <th width="10%">การใส่อุปกรณ์ป้องกัน</th>
          <th width="2%">แก้ไข</th>
        </tr>
      </thead>
      <tbody *ngIf="dataTable.length === 0">
        <tr>
          <td colspan="11">There are no data in the DB. Add a new data above.</td>
        </tr>  
      </tbody>
      <tbody >
        <tr *ngFor="let data of dataTable let i = index">
          <td>{{i+1}}</td>
          <td>{{data.fullname}}</td>
          <td>{{data.gender}}</td>
          <td>{{data.age}}</td>
          <td>{{data.contact}}</td>
          <td>{{data.date_touch.slice(0,10)}}</td>
          <td>{{data.date_vaccine.slice(0,10)}}</td>
          <td>{{data.type_touch}}</td>
          <td>{{data.sick}}</td>
          <td>{{data.protection}}</td>
        
          <td>
            <!-- <button class="btn btn-sm btn-primary" (click)="enableEditing(cat)">
              <i class="fa fa-pencil"></i> แก้ไข
            </button>  -->
            <button class="btn btn-sm btn-danger ml-1" (click)="Delete(data._id)">
              <i class="fa fa-trash"></i> ลบ
            </button>
          </td>
        </tr>  
      </tbody>
    
    </table>

    </div>
    </div>


